OGRE: Ogre::ILUtil::ILFormat Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ILUtil::ILFormat Struct Reference

Structure that encapsulates a devIL image format definition. More...

`#include <OgreILUtil.h>`

List of all members.

## Public Member Functions

| ILFormat ()
| Construct an invalidated ILFormat structure.
| ILFormat (int channels, int format, int type=-1)
| Construct a ILFormat from parameters.
bool | isValid ()
| Return wether this structure represents a valid DevIL format.

## Public Attributes

int | numberOfChannels
| Number of channels, usually 3 or 4.
int | format
| IL_RGBA,IL_BGRA,IL_DXTx, ...
int | type
| IL_UNSIGNED_BYTE, IL_UNSIGNED_SHORT, ... may be -1 for compressed formats.

## Detailed Description

Structure that encapsulates a devIL image format definition.

Definition at line 44 of file OgreILUtil.h.

## Constructor & Destructor Documentation

Ogre::ILUtil::ILFormat::ILFormat | ( |  | ) |

| Construct an invalidated ILFormat structure. Definition at line 46 of file OgreILUtil.h.

Ogre::ILUtil::ILFormat::ILFormat | ( | int | channels,
|  | int | format,
|  | int | type = `-1`
| ) |

| Construct a ILFormat from parameters. Definition at line 50 of file OgreILUtil.h.

## Member Function Documentation

bool Ogre::ILUtil::ILFormat::isValid | ( |  | ) |

| Return wether this structure represents a valid DevIL format. Definition at line 54 of file OgreILUtil.h.

## Member Data Documentation

int Ogre::ILUtil::ILFormat::format

| IL_RGBA,IL_BGRA,IL_DXTx, ... Definition at line 59 of file OgreILUtil.h.

int Ogre::ILUtil::ILFormat::numberOfChannels

| Number of channels, usually 3 or 4. Definition at line 57 of file OgreILUtil.h.

int Ogre::ILUtil::ILFormat::type

| IL_UNSIGNED_BYTE, IL_UNSIGNED_SHORT, ... may be -1 for compressed formats. Definition at line 61 of file OgreILUtil.h.

The documentation for this struct was generated from the following file:

- OgreILUtil.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:54 2008